<?php 
include('includes/head.php');
$get = $_GET;
$page_action = 'booking';
$form_type = $_GET['form_type'] ? $_GET['form_type'] : 'master';
$pagename = $form_types[$form_type];
$page = $get['page'] ? filter_var($get['page'], FILTER_SANITIZE_NUMBER_INT, FILTER_FLAG_STRIP_HIGH) : 1;
$start = ($page - 1) * PAGE_LIMIT;
$results = getBook($get, $start);
//d($get);
$get_total_rows = getBook($get, $start, true);
//d($page);
//d(PAGE_LIMIT);
$pagination = new Pagination();
$pagination->total = $get_total_rows;
$pagination->page = $page;
$pagination->type = 'booking';
unset($get['page']);
$pagination->url = ADMIN_URL.'booking.php?'.http_build_query($get);
$pagination->limit = PAGE_LIMIT;

unset($get['sort']);
unset($get['sort_order']);
if(isset($_SESSION['logged']) && $_SESSION['logged'] == true) {
	$aAgents = getAgents();
} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true) {
	$logged_agent = getAgents(array('agent_id'=>$_SESSION['logged_in_id']));
	$logged_agent = $logged_agent[0];
	$aAgents = array_merge(array($logged_agent),getAgents(array('role' => 'agent', 'agent_ids' => $logged_agent['team_agents'])));
}
?>
	<div class="page-header">
		<h1 class="pull-left"><i class="fa fa-file-o fa-fw"></i> Booking Request: <?php echo $pagename; ?></h1>
		<div class="pull-right">
			<a href="#" onclick="window.history.back();" class="btn btn-primary"><i class="fa fa-chevron-left"></i> Back</a>
		</div>
		<div class="clearfix"></div>
	</div>	
	<div class="clearfix"></div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<form id="filter_form" method="GET" action="">
			<div class="row">
				<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
				<?php /*if(in_array($form_type,array('hajj','umrah','tickets','special_offer'))): ?>
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Location</label><br />
						<select id="filter_location" class="form-control" name="loc">
							<option value="" selected="selected">Select</option>
							<option value="">ALL</option>
							<option value="USA">USA</option>
						</select>
					</div>
				</div>
				<?php endif; ?>
				<?php if(in_array($form_type,array('hajj','pre_hajj','umrah','special_offer'))): ?>
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Package</label><br />
						<select id="filter_package" class="form-control" name="pkg">
							<option value="" selected="selected">Select</option>
							<?php if(in_array($form_type,array('hajj','pre_hajj'))): ?>
								<?php foreach(getHajjPackages(array('select'=>'p_name')) as $result):?>
									<option value="<?php echo $result;?>"<?php echo $result == $get['pkg'] ? 'selected' : '';?>><?php echo $result;?></option>
								<?php endforeach; ?>
							<?php elseif(in_array($form_type,array('umrah'))): ?>
								<?php foreach(getUmrahPackages(array('select'=>'p_name')) as $result):?>
								<option value="<?php echo $result;?>"<?php echo $result == $get['pkg'] ? 'selected' : '';?>><?php echo $result;?></option>
								<?php endforeach; ?>
							<?php elseif(in_array($form_type,array('special_offer'))): ?>
								<?php foreach(getSpecialOfferPackages() as $result):?>
									<option value="<?php echo $result;?>"<?php echo $result == $get['pkg'] ? 'selected' : '';?>><?php echo $result;?></option>
								<?php endforeach; ?>
							<?php endif; ?>
						</select>
					</div>
				</div>
				<?php endif;*/ ?>
				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Date</label><br />
						<div class="col-sm-12 col-md-6 no-padding-left">
							<input type="text" class="form-control datepicker" id="filter_from" placeholder="From" name="from" value="<?php echo isset($get['from']) ? $get['from'] : '';?>">
						</div>

						<div class="col-sm-12 col-md-6 no-padding-left no-padding-right">
							<input type="text" class="form-control datepicker" id="filter_to" placeholder="To" name="to" value="<?php echo isset($get['to']) ? $get['to'] : '';?>">
						</div>
					</div>
				</div>

				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Departure Date</label><br />
						<div class="col-sm-12 col-md-6 no-padding-left">
							<input type="text" class="form-control datepicker" id="filter_departure_from" placeholder="From" name="departure_from" value="<?php echo isset($get['departure_from']) ? $get['departure_from'] : '';?>">
						</div>

						<div class="col-sm-12 col-md-6 no-padding-left no-padding-right">
							<input type="text" class="form-control datepicker" id="filter_departure_to" placeholder="To" name="departure_to" value="<?php echo isset($get['departure_to']) ? $get['departure_to'] : '';?>">
						</div>
					</div>
				</div>

				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Agent</label><br />
						<select id="filter_agent" class="form-control" name="agent_id">
							<option value="" selected="selected">Select</option>
							<?php foreach($aAgents as $agent): ?>
								<option value="<?php echo $agent['agent_id']; ?>"<?php echo $agent['agent_id'] == $get['agent_id'] ? 'selected' : '';?>><?php echo $agent['name']; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>
				<div class="col-sm-12 col-md-3">
					<div class="form-group">
						<label>Status</label><br />
						<select id="filter_status" class="form-control" name="status">
							<option value="" selected="selected">Select</option>
							<?php foreach($book_statuses as $book_status): ?>
								<option value="<?php echo $book_status; ?>"<?php echo $book_status == $get['status'] ? 'selected' : '';?>><?php echo $book_status; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>

			<div class="row">
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Form ID</label><br />
						<input type="text" class="form-control" id="filter_book_id" name="book_id" value="<?php echo isset($get['book_id']) ? $get['book_id'] : '';?>">
					</div>
				</div>
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Lead Number</label><br />
						<input type="text" class="form-control" id="filter_form_id" name="form_id" value="<?php echo isset($get['form_id']) ? $get['form_id'] : '';?>">
					</div>
				</div>

				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Family Name</label><br />
						<input type="text" class="form-control" id="filter_name" name="name" value="<?php echo isset($get['name']) ? $get['name'] : '';?>">
					</div>
				</div>
				<div class="col-sm-12 col-md-3 no-padding-right">
					<label>Action</label><br />
					<button type="submit" class="btn btn-primary"><i class="fa fa-search"></i></button>
					<?php /*if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
					<button type="submit" onclick="exportfile()" class="btn btn-warning"><i class="fa fa-file-excel-o"></i> Export</button>
					<?php endif;*/ ?>
					<a href="booking.php?form_type=<?php echo $form_type; ?>" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
				</div>

				<div class="clearfix"></div>
			</div>
			</form>
		</div>
	</div>

	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg" style="width:1100px;">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title pull-left">Details</h4>
					<div class="action_buttons pull-right">
						
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="clearfix modal-body"></div>
			</div>
		</div>
	</div>
	
	<div class="modal fade" id="viewNote" tabindex="-1" role="dialog" aria-labelledby="addNoteLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title">View Notes</h4>
				</div>
				<div id="note-list" class="modal-body">
				</div>
			</div>
		</div>
	</div>

	<div class="position-relative">
		<div id="listings_leads">
		<?php if(isset($results) && !empty($results)): ?>
				<div class="action_buttons">
					<div class="pull-left"><?php echo $pagination->render(); ?></div>
					<div class="pull-right">
						<?php if(!isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == false): ?>
						<a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
						<?php endif; ?>
						<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
							<a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
						<?php endif; ?>
					</div>
					<div class="clearfix"></div>
				</div>
				<table border="1" class="table table-bordered table-hover">
					<thead>
						<tr>
							<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
								<th width="5%" class="text-center"><a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a></th>
							<?php endif; ?>
							<th width="5%" class="title">Form ID</th>
							<th width="5%" class="title">Agent</th>
							<th width="15%" class="title">Family Name</th>
							<th width="5%" class="title">Total</th>
							<th width="12%" class="title"><span class="sorts"><a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=submission_date&sort_order=asc'; ?>"><i class="fa fa-sort-up"></i></a> <a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=submission_date&sort_order=desc'; ?>"><i class="fa fa-sort-down"></i></a></span> Booking Date</th>
							<th width="12%" class="title"><span class="sorts"><a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=departure_date&sort_order=asc'; ?>"><i class="fa fa-sort-up"></i></a> <a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=departure_date&sort_order=desc'; ?>"><i class="fa fa-sort-down"></i></a></span> Departure Date</th>
							<?php if($form_type == 'umrah_visa'): ?>
								<th width="10%" class="title"><span class="sorts"><a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=documents_date&sort_order=asc'; ?>"><i class="fa fa-sort-up"></i></a> <a href="<?php echo ADMIN_URL.'booking.php?'.http_build_query($get).'&sort=documents_date&sort_order=desc'; ?>"><i class="fa fa-sort-down"></i></a></span> Docs Date</th>
							<?php endif; ?>
							<th width="10%" class="title">Docs Status</th>
							<?php if($form_type == 'umrah'): ?>
							<th width="10%" class="title">Booking Status</th>
							<?php endif; ?>
							<th width="15%" class="title">Action</th>
						</tr>
					</thead>
					<tbody>
						<?php
						$i=0;
						foreach($results as $result):	?>
						<tr id="book_<?php echo $result["book_id"]; ?>" class="row-cursor <?php echo $result['status'] == $book_statuses[1] ? 'warning' : ($result['status'] == $book_statuses[4] ? 'danger' : ($result['status'] == $book_statuses[3] ? 'success' : ($result['status'] == $book_statuses[2] ? 'primary' : ''))); ?>" href="javascript:void(0);" ondblclick="viewBookResult('<?php echo $result['book_id']; ?>',0);">
							<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
								<td class="text-center"><input type="checkbox" value="<?php echo $result["book_id"]; ?>" name="delete[]"></td>
							<?php endif; ?>
							<td class="text-center"><?php echo $result["book_id"]; ?></td>
							<td class="text-center"><?php echo $result["agent_name"]; ?></td>
							<td class="text-center"><?php echo $result["passengar_name"]; ?></td>
							<td class="text-center"><?php echo $result["total_pax"]; ?></td>
							<td class="text-center"><?php echo getFormattedDate($result["submission_date"]); ?></td>
							<td class="text-center"><?php echo getFormattedDate($result["departure_date"]); ?></td>
							<?php if($form_type == 'umrah_visa'): ?>
								<td class="text-center"><?php echo getFormattedDate($result["documents_date"]); ?></td>
							<?php endif; ?>
							
							<td class="text-center"><?php if((isset($_SESSION['logged']) && $_SESSION['logged'] == true) || (isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true)): ?>
								<?php echo $result['documents_status']; ?>
							<?php endif; ?>
							
							<?php if((isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true)): ?>
								<select name="documents_status[<?php echo $result["book_id"]; ?>]" onchange="$('tr#book_<?php echo $result["book_id"]; ?> .note-status').val($(this).val());" class="form-control">
								<option value="">Select</option>
								<?php foreach($book_documents_statuses as $documents_status):	?>
									<option value="<?php echo $documents_status; ?>" <?php echo $result['documents_status'] == $documents_status ? 'selected="selected"' : ''; ?>><?php echo $documents_status; ?></option>
								<?php endforeach; ?>
								</select>
							<?php endif; ?></td>
							
							<?php if($form_type == 'umrah'): ?>
								<td class="text-center"><?php if((isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true) || (isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true)): ?>
									<?php echo $result['status']; ?>
								<?php endif; ?>
								
								<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
									<select name="status[<?php echo $result["book_id"]; ?>]" onchange="$('tr#book_<?php echo $result["book_id"]; ?> .note-status').val($(this).val());" class="form-control">
									<option value="">Select</option>
									<?php foreach($book_statuses as $status):	?>
										<option value="<?php echo $status; ?>" <?php echo $result['status'] == $status ? 'selected="selected"' : ''; ?>><?php echo $status; ?></option>
									<?php endforeach; ?>
									</select>
								<?php endif; ?></td>
							<?php endif; ?>

							<td class="text-center">
								<div class="btn-group">
									<?php 
									if(isset($_SESSION['logged']) && $_SESSION['logged'] == true){
										$note_type = 'admin';
									} elseif(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true){
										$note_type = 'agent';
									} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true){
										$note_type = 'team_lead';
									} elseif(isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true){
										$note_type = 'back_office';
									} ?>
									<?php $unread_notes = getNotes(array('viewed'=>0,'form_type'=>'book','leads_id'=>$result["book_id"]), 0, true); ?>
									<a data-toggle="modal" data-target="#addNotify_<?php echo $result["book_id"]; ?>" title="View Messages" onclick="viewNotes(<?php echo $result["book_id"]; ?>)" class="btn btn-sm btn-primary"><span class="badge"><?php echo $unread_notes; ?></span></a>

									<div class="modal fade text-left" id="addNotify_<?php echo $result["book_id"]; ?>" tabindex="-1" role="dialog" aria-labelledby="addNotifyLabel" aria-hidden="true">
										<div class="modal-dialog">
											<div class="modal-content">
												<div class="panel-primary">
													<div class="panel-heading"><i class="fa fa-file-text-o fa-fw"></i> Messages</div>
													<div class="panel-body chat-box">
														<div id="note-list_<?php echo $result["book_id"]; ?>" class="note-list">
														</div>
													</div>
													<div class="panel-footer">
														<form id="note-form_<?php echo $result["book_id"]; ?>" class="note-form" name="ajax" action="action/notes.php" method="POST" enctype="multipart/form-data">
															<div class=" input-group">
																<input type="text" name="data[note]" placeholder="Type your message here..." id="btn-input" class="form-control input-sm" />

																<?php if(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true): ?>
																	<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																	<input type="hidden" class="note-note_type" name="data[note_type]" value="agent" />
																<?php endif; ?>

																<?php if(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true): ?>
																	<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																	<input type="hidden" class="note-note_type" name="data[note_type]" value="team_lead" />
																<?php endif; ?>

																<?php if(isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true): ?>
																	<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																	<input type="hidden" class="note-note_type" name="data[note_type]" value="back_office" />
																<?php endif; ?>

																<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
																	<input type="hidden" class="note-admin_id" name="data[admin_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																	<input type="hidden" class="note-note_type" name="data[note_type]" value="admin" />
																<?php endif; ?>

																<input type="hidden" class="note-leads_id" name="data[leads_id]" value="<?php echo $result["book_id"]; ?>" />
																<input type="hidden" class="note-form_type" name="data[form_type]" value="book" />
																<input type="hidden" class="note-status" name="data[status]" value="<?php echo $result['status']; ?>" />

																<span class="input-group-btn">
																	<button type="submit" id="submit" class="btn btn-success btn-sm submit-button">Send</button>
																</span>
															</div>

															<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
																<input type="file" class="note-attachment" name="attachment" placeholder="Attachment" />
															<?php endif; ?>
														</form>
													</div>
												</div>
											</div>
										</div>
									</div>

									<script>
										$('#note-form_<?php echo $result["book_id"]; ?>').submit(function(e) {
											e.preventDefault();

											var formObj = $(this);
											var formURL = formObj.attr("action");
											var formData = new FormData(this);
											$.ajax({
												url: formURL,
												type: 'POST',
												data: formData,
												dataType:'json',
												mimeType:"multipart/form-data",
												contentType: false,
												cache: false,
												processData:false,
												beforeSend: function(){
													showLoader('#note-form_<?php echo $result["book_id"]; ?>');
												},
												complete: function(){
													hideLoader();
												},
												success: function(data) {
													hideLoader();
													showNotificationModal(data);
													if(data.msgtype == 'success'){
														$('.note-form input, .note-form select, .note-form textarea').val('');
														//$('.modal').modal('hide');
														//getLeadsList();
														location.reload();
													}
												},
												error: function(jqXHR, textStatus, errorThrown) {
												}
											});
											e.preventDefault();
										});
									</script>

									<?php if(!isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == false): ?>
									<a href="booking_form.php?book_id=<?php echo $result["book_id"]; ?>&type=edit" title="Edit" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a>
									<?php endif; ?>
									<a href="javascript:void(0);" onclick="viewBookResult('<?php echo $result['book_id']; ?>',0);" title="View" class="btn btn-sm btn-primary"><i class="fa fa-book"></i></a>
									<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
									<a href="javascript:void(0);" onclick="viewBookResult('<?php echo $result['book_id']; ?>',1);" title="Vendor" class="btn btn-sm btn-primary"><i class="fa fa-book"></i></a>
									<?php endif; ?>
								</div>
							</td>
						</tr>
						<?php $i++; endforeach; ?>
					</tbody>
				</table>
				<div class="action_buttons">
					<div class="pull-left"><?php echo $pagination->render(); ?></div>
					<div class="pull-right">
						<?php if(!isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == false): ?>
						<a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
						<?php endif; ?>
						<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
							<a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
						<?php endif; ?>
					</div>
					<div class="clearfix"></div>
				</div>


		<?php else:	?>
			<div class="alert alert-danger">No Booking are available</div>
		<?php endif; ?>
		
		</div>
	</div>
	<script>
	function saveAllLeads(){
		$.ajax({
			type:"POST",
			data:$('#listings_leads select'),
			url: 'action/<?php echo $page_action; ?>.php',
			dataType:"json",
			success: function(data){
				showNotification(data);
				//getLeadsList();
				location.reload();
			}
		});
	}
	/*function exportfile(){
		var str = $( "#filter_form" ).serialize();
		var url = 'action/<?php echo $page_action; ?>.php?exportx=1&'+str;
		window.open(url,'_blank');
	}*/
	function viewBookResult(id, vendor){
		var dUrl = 'book_id='+id;
		if(vendor == 1){
			dUrl += '&vendor=1';
		}
		var abHtml = ' <a href="<?php echo ADMIN_URL;?>action/booking.php?'+dUrl+'&export=1&export_type=print" class="btn btn-success" target="_blank">Print <i class="fa fa-print"></i></a> ';
		abHtml += ' <a href="<?php echo ADMIN_URL;?>action/booking.php?'+dUrl+'&export=1&export_type=pdf" class="btn btn-primary" target="_blank">Save PDF <i class="fa fa-file-pdf-o"></i></a> ';

		dUrl += '&ajax=1';

		$.ajax({
			url: "action/booking.php",
			data: dUrl,
			type: 'GET',
			dataType: 'html',
			success: function(data) {
				$('#myModal').modal({
					show: true
				});
				$('#myModal .modal-body').html(data);
				$('#myModal .action_buttons').html(abHtml);
			}
		});
	}
</script>
<?php include('includes/foot.php'); ?>