<?php 
include('includes/head.php');
$get = $_GET;
$page_action = 'booking_group';
$form_type = $_GET['form_type'] ? $_GET['form_type'] : 'master';
$pagename = $form_types[$form_type];
$page = $get['page'] ? filter_var($get['page'], FILTER_SANITIZE_NUMBER_INT, FILTER_FLAG_STRIP_HIGH) : 1;
$start = ($page - 1) * PAGE_LIMIT;
$results = getBookGroup($get, $start);

$get_total_rows = getBookGroup($get, $start, true);

$pagination = new Pagination();
$pagination->total = $get_total_rows;
$pagination->page = $page;
$pagination->type = 'booking_group';
unset($get['page']);
$pagination->url = ADMIN_URL.'booking_group.php?'.http_build_query($get);
$pagination->limit = PAGE_LIMIT;

unset($get['sort']);
unset($get['sort_order']);
if(isset($_SESSION['logged']) && $_SESSION['logged'] == true || (isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true)) {
	$aAgents = getAgents();
} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true) {
	$logged_agent = getAgents(array('agent_id'=>$_SESSION['logged_in_id']));
	$logged_agent = $logged_agent[0];
	$aAgents = array_merge(array($logged_agent),getAgents(array('role' => 'agent', 'agent_ids' => $logged_agent['team_agents'])));
}

if($form_type == 'ramadan'):
	$aPackages = getPackages('ramadan');
elseif($form_type == 'umrah_group'):
	$aPackages = getPackages('umrah_group');
else:
	$aPackages = array_merge(getPackages('ramadan'),getPackages('umrah_group'));
endif;
?>
	<div class="page-header">
		<h1 class="pull-left"><i class="fa fa-file-o fa-fw"></i> Group Booking List</h1>
		<div class="pull-right">
			<a href="#" onclick="window.history.back();" class="btn btn-primary"><i class="fa fa-chevron-left"></i> Back</a>
		</div>
		<div class="clearfix"></div>
	</div>	
	<div class="clearfix"></div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<form id="filter_form" method="GET" action="">
			<div class="row">
				<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Booking Date</label><br />
						<div class="col-sm-12 col-md-6 no-padding-left">
							<input type="text" class="form-control datepicker" id="filter_from" placeholder="From" name="from" value="<?php echo isset($get['from']) ? $get['from'] : '';?>">
						</div>

						<div class="col-sm-12 col-md-6 no-padding-left no-padding-right">
							<input type="text" class="form-control datepicker" id="filter_to" placeholder="To" name="to" value="<?php echo isset($get['to']) ? $get['to'] : '';?>">
						</div>
					</div>
				</div>
				<?php if((isset($_SESSION['logged']) && $_SESSION['logged'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true) || (isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true)): ?>
				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Agent</label><br />
						<select id="filter_agent" class="form-control" name="agent_id">
							<option value="" selected="selected">Select</option>
							<?php foreach($aAgents as $agent): ?>
								<option value="<?php echo $agent['agent_id']; ?>"<?php echo $agent['agent_id'] == $get['agent_id'] ? 'selected' : '';?>><?php echo $agent['name']; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>
				<?php endif; ?>

				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Invoice No.</label><br />
						<input type="text" class="form-control" id="filter_invoice_no" name="invoice_no" value="<?php echo isset($get['invoice_no']) ? $get['invoice_no'] : '';?>">
					</div>
				</div>

				<div class="col-sm-12 col-md-3">
					<div class="form-group">
						<label>Package</label><br />
						<select name="package" id="filter_package" class="form-control">
						<option value="" selected="selected">Select</option>
						<?php foreach($aPackages as $key => $result):?>
							<option value="<?php echo $result; ?>" <?php echo (isset($get['package']) && $get['package'] == $result ? 'selected' : ''); ?>><?php echo $result;?></option>
						<?php endforeach; ?>
						</select>
					</div>
				</div>

				<div class="clearfix"></div>
			</div>

			<div class="row">
				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Payment Status</label><br />
						<select id="filter_payment_status" class="form-control" name="payment_status">
							<option value="" selected="selected">Select</option>
							<?php foreach($aHajjPaymentStatus as $result): ?>
								<option value="<?php echo $result; ?>"<?php echo $result == $get['payment_status'] ? 'selected' : '';?>><?php echo $result; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>

				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Ticket Status</label><br />
						<select id="filter_ticket_status" class="form-control" name="ticket_status">
							<option value="" selected="selected">Select</option>
							<?php foreach($aHajjTicketStatus as $result): ?>
								<option value="<?php echo $result; ?>"<?php echo $result == $get['ticket_status'] ? 'selected' : '';?>><?php echo $result; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>

				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
						<label>Docs Status</label><br />
						<select id="filter_documents_status" class="form-control" name="documents_status">
							<option value="" selected="selected">Select</option>
							<?php foreach($book_hajj_documents_statuses as $result): ?>
								<option value="<?php echo $result; ?>"<?php echo $result == $get['documents_status'] ? 'selected' : '';?>><?php echo $result; ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>
				
				<div class="col-sm-12 col-md-3">
					<label>Action</label><br />
					<button type="submit" class="btn btn-primary"><i class="fa fa-search"></i></button>
					<a href="booking_group.php?form_type=<?php echo $form_type; ?>" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
					<a onclick="window.open('action/<?php echo $page_action; ?>.php?exportx=1&exportx_type=normal&'+($('#filter_form').serialize()),'_blank')" class="btn btn-warning"><i class="fa fa-file-excel-o"></i> Export</a>
				</div>

				<div class="clearfix"></div>
			</div>
			</form>
		</div>
	</div>

	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg" style="width:1100px;">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title pull-left">Details</h4>
					<div class="action_buttons pull-right">
						
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="clearfix modal-body"></div>
			</div>
		</div>
	</div>
	
	<div class="modal fade" id="viewNote" tabindex="-1" role="dialog" aria-labelledby="addNoteLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title">View Notes</h4>
				</div>
				<div id="note-list" class="modal-body">
				</div>
			</div>
		</div>
	</div>

	<div class="position-relative" style="overflow:auto;">
		<div id="listings_leads">
		<?php if(isset($results) && !empty($results)): ?>
			<div class="action_buttons">
				<div class="pull-left"><?php echo $pagination->render(); ?></div>
				<div class="pull-right">
					<?php if(!isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == false): ?>
					<a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
					<?php endif; ?>
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
						<a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
					<?php endif; ?>
				</div>
				<div class="clearfix"></div>
			</div>
			<table border="1" class="table table-booking table-bordered table-hover">
				<thead>
					<tr class="bg-color-10">
						<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
							<th width="4%" class="text-center"><a onclick="deleteAll();" class="btn btn-xs btn-danger"><i class="fa fa-trash"></i></a></th>
						<?php endif; ?>
						<th width="8%" class="title"><span class="sorts"><a href="<?php echo ADMIN_URL.'booking_group.php?'.http_build_query($get).'&sort=submission_date&sort_order=asc'; ?>"><i class="fa fa-sort-up"></i></a> <a href="<?php echo ADMIN_URL.'booking_group.php?'.http_build_query($get).'&sort=submission_date&sort_order=desc'; ?>"><i class="fa fa-sort-down"></i></a></span> Book Date</th>
						<th width="5%" class="title">Lead#</th>
						<th width="5%" class="title">Agent</th>
						<th width="5%" class="title">Inv#</th>
						<th width="10%" class="title">Pkg</th>
						<th width="15%" class="title">Name</th>
						<th width="4%" class="title">Pax#</th>
						<th width="7%" class="title">Pay Status</th>
						<th width="8%" class="title">Pay Reminder</th>
						<th width="10%" class="title">TKT Status</th>
						<th width="8%" class="title"><span class="sorts"><a href="<?php echo ADMIN_URL.'booking_group.php?'.http_build_query($get).'&sort=documents_date&sort_order=asc'; ?>"><i class="fa fa-sort-up"></i></a> <a href="<?php echo ADMIN_URL.'booking_group.php?'.http_build_query($get).'&sort=documents_date&sort_order=desc'; ?>"><i class="fa fa-sort-down"></i></a></span> Docs Date</th>
						<th width="6%" class="title">Docs Status</th>
						<th width="5%" class="title">Action</th>
					</tr>
				</thead>
				<tbody>
					<?php
					$i=0;
					$gtotal_pax = 0;
					foreach($results as $result):	?>
					<tr id="book_group_<?php echo $result["book_group_id"]; ?>" class="row-cursor <?php echo $result['status'] == $book_statuses[1] ? 'warning' : ($result['status'] == $book_statuses[4] ? 'danger' : ($result['status'] == $book_statuses[3] ? 'success' : ($result['status'] == $book_statuses[2] ? 'primary' : ''))); ?>" href="javascript:void(0);" ondblclick="viewBookResult('<?php echo $result['book_group_id']; ?>',0);">
						<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
							<td class="text-center"><input type="checkbox" value="<?php echo $result["book_group_id"]; ?>" name="delete[]"></td>
						<?php endif; ?>
						<td class="text-center"><?php echo getFormattedDate($result["submission_date"]); ?></td>
						<td class="text-center"><?php echo $result["lead_no"]; ?></td>
						<td class="text-center"><?php echo $result["agent_name"]; ?></td>
						<td class="text-center"><?php echo $result["invoice_no"]; ?></td>
						<td class="text-center"><?php echo $result["package"]; ?></td>
						<td class="text-center"><?php echo $result["family_name"]; ?></td>
						<td class="text-center"><?php echo $result["total_pax"]; $gtotal_pax += (int)$result["total_pax"]; ?></td>
						<td class="text-center"><?php echo $result["payment_status"]; ?></td>
						<td class="text-center"><?php echo getFormattedDate($result["payment_reminder"]); ?></td>
						<td class="text-center"><?php echo $result["ticket_status"]; ?></td>
						<td class="text-center"><?php echo getFormattedDate($result["documents_date"]); ?></td>
						<td class="text-center"><?php if((isset($_SESSION['logged']) && $_SESSION['logged'] == true) || (isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true)): ?>
							<?php echo $result['documents_status']; ?>
						<?php endif; ?>
						
						<?php if((isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true)): ?>
							<select name="documents_status[<?php echo $result["book_group_id"]; ?>]" onchange="$('tr#book_group_<?php echo $result["book_group_id"]; ?> .note-status').val($(this).val());" class="form-control">
							<option value="">Select</option>
							<?php foreach($book_documents_statuses as $documents_status):	?>
								<option value="<?php echo $documents_status; ?>" <?php echo $result['documents_status'] == $documents_status ? 'selected="selected"' : ''; ?>><?php echo $documents_status; ?></option>
							<?php endforeach; ?>
							</select>
						<?php endif; ?></td>
						
						<td class="text-center">
							<div class="btn-group">
								<?php 
								if(isset($_SESSION['logged']) && $_SESSION['logged'] == true){
									$note_type = 'admin';
								} elseif(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true){
									$note_type = 'agent';
								} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true){
									$note_type = 'team_lead';
								} elseif(isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true){
									$note_type = 'back_office';
								} ?>
								<?php $unread_notes = getNotes(array('viewed'=>0,'form_type'=>'book_group','leads_id'=>$result["book_group_id"]), 0, true); ?>
								<a data-toggle="modal" data-target="#addNotify_<?php echo $result["book_group_id"]; ?>" title="View Messages" onclick="viewNotes(<?php echo $result["book_group_id"]; ?>)" class="btn btn-xs btn-primary"><span class="badge"><?php echo $unread_notes; ?></span></a>

								<div class="modal fade text-left" id="addNotify_<?php echo $result["book_group_id"]; ?>" tabindex="-1" role="dialog" aria-labelledby="addNotifyLabel" aria-hidden="true">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="panel-primary">
												<div class="panel-heading"><i class="fa fa-file-text-o fa-fw"></i> Messages</div>
												<div class="panel-body chat-box">
													<div id="note-list_<?php echo $result["book_group_id"]; ?>" class="note-list">
													</div>
												</div>
												<div class="panel-footer">
													<form id="note-form_<?php echo $result["book_group_id"]; ?>" class="note-form" name="ajax" action="action/notes.php" method="POST" enctype="multipart/form-data">
														<div class=" input-group">
															<input type="text" name="data[note]" placeholder="Type your message here..." id="btn-input" class="form-control input-sm" />

															<?php if(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true): ?>
																<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																<input type="hidden" class="note-note_type" name="data[note_type]" value="agent" />
															<?php endif; ?>

															<?php if(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true): ?>
																<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																<input type="hidden" class="note-note_type" name="data[note_type]" value="team_lead" />
															<?php endif; ?>

															<?php if(isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == true): ?>
																<input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																<input type="hidden" class="note-note_type" name="data[note_type]" value="back_office" />
															<?php endif; ?>

															<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
																<input type="hidden" class="note-admin_id" name="data[admin_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
																<input type="hidden" class="note-note_type" name="data[note_type]" value="admin" />
															<?php endif; ?>

															<input type="hidden" class="note-leads_id" name="data[leads_id]" value="<?php echo $result["book_group_id"]; ?>" />
															<input type="hidden" class="note-form_type" name="data[form_type]" value="book_group" />
															<input type="hidden" class="note-status" name="data[status]" value="<?php echo $result['status']; ?>" />

															<span class="input-group-btn">
																<button type="submit" id="submit" class="btn btn-success btn-sm submit-button">Send</button>
															</span>
														</div>

														<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
															<input type="file" class="note-attachment" name="attachment" placeholder="Attachment" />
														<?php endif; ?>
													</form>
												</div>
											</div>
										</div>
									</div>
								</div>

								<script>
									$('#note-form_<?php echo $result["book_group_id"]; ?>').submit(function(e) {
										e.preventDefault();

										var formObj = $(this);
										var formURL = formObj.attr("action");
										var formData = new FormData(this);
										$.ajax({
											url: formURL,
											type: 'POST',
											data:  formData,
											dataType:'json',
											mimeType:"multipart/form-data",
											contentType: false,
											cache: false,
											processData:false,
											beforeSend: function(){
												showLoader('#note-form_<?php echo $result["book_group_id"]; ?>');
											},
											complete: function(){
												hideLoader();
											},
											success: function(data) {
												hideLoader();
												showNotificationModal(data);
												if(data.msgtype == 'success'){
													$('.note-form input, .note-form select, .note-form textarea').val('');
													//$('.modal').modal('hide');
													//getLeadsList();
													location.reload();
												}
											},
											error: function(jqXHR, textStatus, errorThrown) {
											}
										});
										e.preventDefault();
									});
								</script>
								
								<a href="booking_form_group.php?book_group_id=<?php echo $result["book_group_id"]; ?>&type=edit" title="Edit" class="btn btn-xs btn-primary"><i class="fa fa-edit"></i></a>
								<?php /*<a href="javascript:void(0);" onclick="viewBookResult('<?php echo $result['book_group_id']; ?>',0);" title="View" class="btn btn-xs btn-primary"><i class="fa fa-book"></i></a>*/ ?>
							</div>
						</td>
					</tr>
					<?php $i++; endforeach; ?>
				</tbody>
				<tfoot>
					<td  class="text-right" colspan="7">Total PAX</td>
					<td class="text-center"><?php echo $gtotal_pax; ?></td>
					<td colspan="6">&nbsp;</td>
				</tfoot>
			</table>
			<div class="action_buttons">
				<div class="pull-left"><?php echo $pagination->render(); ?></div>
				<div class="pull-right">
					<?php if(!isset($_SESSION['logged_back_office']) && $_SESSION['logged_back_office'] == false): ?>
					<a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
					<?php endif; ?>
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
						<a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
					<?php endif; ?>
				</div>
				<div class="clearfix"></div>
			</div>
			<?php /*<div class="color-swatches">
				<table class="table table-stats table-bordered">
					<thead>
						<tr class="bg-color-10">
							<td width="20%">Package</td>
							<?php foreach ($aHajjPaymentStatus as $hajj_payment_status): ?>
								<td><?php echo $hajj_payment_status; ?></td>
							<?php endforeach; ?>
							<td width="20%">Total</td>
						</tr>
					</thead>
					<tbody>
					<?php $cRowGrandTotal = array(); foreach (getPackages('hajj') as $hajj_package): ?>
						<tr>
							<td><?php echo $hajj_package; ?></td>
							<?php $cRowTotal = 0; $cTotal = 0;
							foreach ($aHajjPaymentStatus as $i => $hajj_payment_status): ?>
								<td><?php $cTotal = getBookGroup(array_merge($get,array('package'=>$hajj_package,'payment_status'=>$hajj_payment_status)), 0, true); ?>
									<?php echo $cTotal;
									$cRowTotal += $cTotal;
									$cRowGrandTotal[$i] += $cTotal; ?>
								</td>
							<?php endforeach; ?>
							<td><?php echo $cRowTotal; ?></td>
						</tr>
					<?php endforeach; ?>
					</tbody>
					<tfoot>
						<tr>
							<td>Grand Total</td>
							<?php $cTotalGrandTotal = 0;for($i=0; $i<count($cRowGrandTotal);$i++): ?>
							<td><?php echo $cRowGrandTotal[$i];
							$cTotalGrandTotal += $cRowGrandTotal[$i]; ?></td>
							<?php endfor; ?>
							<td><?php echo $cTotalGrandTotal; ?></td>
						</tr>
					</tfoot>
				</table>
			</div>*/ ?>
		<?php else:	?>
			<div class="alert alert-danger">No Booking are available</div>
		<?php endif; ?>
		
		</div>
	</div>
	<script>
	function saveAllLeads(){
		$.ajax({
			type:"POST",
			data:$('#listings_leads select'),
			url: 'action/<?php echo $page_action; ?>.php',
			dataType:"json",
			success: function(data){
				showNotification(data);
				//getLeadsList();
				location.reload();
			}
		});
	}
	/*function exportfile(){
		var str = $( "#filter_form" ).serialize();
		var url = 'action/<?php echo $page_action; ?>.php?exportx=1&'+str;
		window.open(url,'_blank');
	}*/
	function viewBookResult(id, vendor){
		var dUrl = 'book_group_id='+id;
		if(vendor == 1){
			dUrl += '&vendor=1';
		}
		dUrl += '&ajax=1';

		$.ajax({
			url: "action/booking_group.php",
			data: dUrl,
			type: 'GET',
			dataType: 'html',
			success: function(data) {
				$('#myModal').modal({
					show: true
				});
				$('#myModal .modal-body').html(data);
				//$('#myModal .action_buttons').html(abHtml);
			}
		});
	}
</script>
<?php include('includes/foot.php'); ?>