<?php 
$pagename = "Add/Edit Document";
include('includes/head.php');

$data = array();
if(isset($_GET['documents_id']) && $_GET['documents_id'] != '' && $_GET['action'] == 'edit') {
    $data = getDocuments(array('documents_id'=>$_GET['documents_id']));
}
?>
<div class="page-header">
	<h1 class="pull-left"><i class="fa fa-plus fa-fw"></i> <?php echo $pagename; ?></h1>
	<div class="pull-right">
		<a href="documents.php" class="btn btn-primary"><i class="fa fa-list"></i> View List</a>
	</div>
	<div class="clearfix"></div>
</div>	
<div class="clearfix"></div>

<div class="col-lg-6 row" id="form">
    <form id="documents_form" class="documents-form" name="ajax" action="action/documents.php" method="POST" enctype="multipart/form-data">
        <div class="form-group">
            <label>File</label>
            <input type="file" class="note-attachment" name="attachment" placeholder="Attachment" />
        </div>
        <div class="form-group">
            <label>Status</label>
            <select name="data[status]" class="form-control">
                <option value="">Select</option>
                <?php foreach($statuses as $i => $result): ?>
                    <option value="<?php echo $i; ?>" <?php echo ($data['status'] == $i || $i == 1) ? 'selected="selected"':''; ?>><?php echo $result; ?></option>
                <?php endforeach; ?>
            </select>
        </div>

        <input type="hidden" name="data[submission_date]" class="form-control" value="<?php echo $data['submission_date'] ? $data['submission_date'] : date('Y-m-d'); ?>">

        <?php if(isset($_GET['documents_id']) && $_GET['documents_id'] != '' && $_GET['action'] == 'edit'): ?>
            <input type="hidden" name="data[documents_id]" value="<?php echo $_GET['documents_id']; ?>">
            <input type="hidden" name="action" value="edit">
        <?php else: ?>
            <input type="hidden" name="action" value="add">
        <?php endif; ?>

        <button type="submit" id="submit" class="btn btn-success submit-button">Submit</button>
    </form>
</div>

<script>
    $('#documents_form').submit(function(e) {
        e.preventDefault();

        var formObj = $(this);
        var formURL = formObj.attr("action");
        var formData = new FormData(this);
        $.ajax({
            url: formURL,
            type: 'POST',
            data:  formData,
            dataType:'json',
            mimeType:"multipart/form-data",
            contentType: false,
            cache: false,
            processData:false,
            beforeSend: function(){
                showLoader('#documents_form');
            },
            complete: function(){
                hideLoader();
            },
            success: function(data) {
                hideLoader();
                showNotificationModal(data);
                if(data.msgtype == 'success'){
                    $('.documents-form input, .documents-form select, .documents-form textarea').val('');
                    //$('.modal').modal('hide');
                    getDocumentsList();
                }
            },
            error: function(jqXHR, textStatus, errorThrown) {
            }
        });
        e.preventDefault();
    });
    /*$.ajax({
        type: 'POST',
        url: 'action/documents.php',
        data: $('#form input, #form select, #form textarea'),
        dataType: "json",
        beforeSend: function(){
            showLoader('#form');
        },
        complete: function(){
            hideLoader();
        },
        success: function (data) {
            hideLoader();
            showNotification(data);
            if (data.msgtype == 'success') {
                document.location.href = 'documents.php';
            }
        }
    });*/

</script>
<?php include('includes/foot.php'); ?>