<?php
class Pagination {
	public $total = 0;
	public $page = 1;
	public $limit = 20;
	public $type = '';
	public $num_links = 10;
	public $url = '';
	public $text = 'Showing {start} to {end} of {total} ({pages} Pages)';
	public $text_first = '&laquo;&laquo;';
	public $text_last = '&raquo;&raquo;';
	public $text_next = '&raquo;';
	public $text_prev = '&laquo;';
	public $style_links = 'pagination';
	public $style_results = 'results';

	public function render() {
		$total = $this->total;
		
		if ($this->page < 1) {
			$page = 1;
		} else {
			$page = $this->page;
		}
		
		if (!(int)$this->limit) {
			$limit = 10;
		} else {
			$limit = $this->limit;
		}
		
		$num_links = $this->num_links;
		$num_pages = ceil($total / $limit);

		$output = '';
		
		if ($page > 1) {
			if($this->type == 'leads'){
				$output .= ' <li><a href="'.$this->url.'&page=1">' . $this->text_first . '</a></li> <li><a href="'.$this->url.'&page='.($page - 1).'">' . $this->text_prev . '</a></li> ';
			}else{
				$output .= ' <li><a href="#" rel="1">' . $this->text_first . '</a></li> <li><a href="#" rel="' . ($page - 1) . '">' . $this->text_prev . '</a></li> ';
			}
		}

		if ($num_pages > 1) {
			if ($num_pages <= $num_links) {
				$start = 1;
				$end = $num_pages;
			} else {
				$start = $page - floor($num_links / 2);
				$end = $page + floor($num_links / 2);
			
				if ($start < 1) {
					$end += abs($start) + 1;
					$start = 1;
				}
						
				if ($end > $num_pages) {
					$start -= ($end - $num_pages);
					$end = $num_pages;
				}
			}

			if ($start > 1) {
				//$output .= ' .... ';
			}

			for ($i = $start; $i <= $end; $i++) {
				if($this->type == 'leads'){
					$output .= ' <li '.($page == $i ? 'class="active"':'').'><a href="'.$this->url.'&page='.$i.'">' . $i . '</a></li> ';
				}else{
					$output .= ' <li '.($page == $i ? 'class="active"':'').'><a href="#" rel="' . $i . '">' . $i . '</a></li> ';
				}
			}
							
			if ($end < $num_pages) {
				//$output .= ' <li>....</li> ';
			}
		}
		
		if ($page < $num_pages) {
			if($this->type == 'leads'){
				$output .= ' <li><a href="'.$this->url.'&page='.($page + 1).'">' . $this->text_next . '</a></li> <li><a href="'.$this->url.'&page='.$num_pages.'">' . $this->text_last . '</a></li> ';
			}else{
				$output .= ' <li><a href="#" rel="' . ($page + 1) . '">' . $this->text_next . '</a></li> <li><a href="#" rel="' . $num_pages . '">' . $this->text_last . '</a></li> ';
			}
			
		}
		
		$find = array(
			'{start}',
			'{end}',
			'{total}',
			'{pages}'
		);
		
		$replace = array(
			($total) ? (($page - 1) * $limit) + 1 : 0,
			((($page - 1) * $limit) > ($total - $limit)) ? $total : ((($page - 1) * $limit) + $limit),
			$total, 
			$num_pages
		);
		
		return ($output ? '<ul class="' . $this->style_links . '">' . $output . '</ul>' : '');
	}
}
?>