<?php 
include('includes/head.php');
$get = $_GET;
$page_action = 'leads';
$form_type = $_GET['form_type'] ? $_GET['form_type'] : 'master';
$pagename = $form_types[$form_type];
$page = $get['page'] ? filter_var($get['page'], FILTER_SANITIZE_NUMBER_INT, FILTER_FLAG_STRIP_HIGH) : 1;
$start = ($page - 1) * PAGE_LIMIT;
$results = getLeads($get, $start);
$get_total_rows = getLeads($get, $start, true);
$pagination = new Pagination();
$pagination->total = $get_total_rows;
$pagination->page = $page;
$pagination->type = 'leads';
unset($get['page']);
$pagination->url = ADMIN_URL.'leads.php?'.http_build_query($get);
$pagination->limit = PAGE_LIMIT;

if(isset($_SESSION['logged']) && $_SESSION['logged'] == true) {
	$aAgents = getAgents();
} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true) {
	$logged_agent = getAgents(array('agent_id'=>$_SESSION['logged_in_id']));
	$logged_agent = $logged_agent[0];
	$aAgents = array_merge(array($logged_agent),getAgents(array('role' => 'agent', 'agent_ids' => $logged_agent['team_agents'])));
}
?>

	<div class="page-header">
		<h1 class="pull-left"><i class="fa fa-file-o fa-fw"></i> Leads: <?php echo $pagename; ?></h1>
        <div class="pull-right">
            <?php if(!in_array($form_type,array('master'))): ?>
                <a href="lead_form.php?form_type=<?php echo $form_type; ?>" class="btn btn-primary"><i class="fa fa-plus"></i> Add <?php echo $pagename; ?> Lead</a>
            <?php else: ?>
                <a href="lead_form.php" class="btn btn-primary"><i class="fa fa-plus"></i> Add Lead</a>
            <?php endif; ?>
        </div>
        <div class="clearfix"></div>
	</div>	
	<div class="clearfix"></div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<form id="filter_form" method="GET" action="">
			<div class="row">
				<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
				<input type="hidden" name="archive_status[0]" id="archive_status_0" value="<?php echo $_GET['archive_status'][0];?>">
				<input type="hidden" name="archive_status[1]" id="archive_status_1"	value="<?php echo $_GET['archive_status'][1];?>">
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
						<label>Site</label><br />
						<select id="filter_form_site" class="form-control" name="form_site">
							<option value="" selected="selected">Select</option>
							<?php foreach($leads_sites as $key => $value): ?>
                                <option value="<?php echo $key; ?>"<?php echo $key == $get['form_site'] ? 'selected' : '';?>><?php echo $value; ?></option>
                            <?php endforeach; ?>
						</select>
					</div>
				</div>
				<?php if(in_array($form_type,array('hajj','umrah','tickets','special_offer'))): ?>
				<div class="col-sm-12 col-md-2 no-padding-right">
					<div class="form-group">
                        <label>Location</label><br />
						<select id="filter_location" class="form-control" name="loc">
							<option value="" selected="selected">Select</option>
							<option value="">ALL</option>
							<option value="USA">USA</option>
						</select>
					</div>
				</div>
				<?php endif; ?>
				<?php if(in_array($form_type,array('master','hajj','umrah','special_offer'))): ?>
					<div class="col-sm-12 col-md-2 no-padding-right">
						<div class="form-group">
							<label>Package</label><br />
							<select id="filter_package" class="form-control" name="pkg">
								<option value="" selected="selected">Select</option>
								<?php if(in_array($form_type,array('master'))): ?>
									<?php foreach(getPackages() as $key=>$value):?>
										<optgroup label="<?php echo $key;?>">
										<?php foreach($value as $result):?>
											<option value="<?php echo $result;?>"<?php echo $result == $get['pkg'] ? 'selected' : '';?>><?php echo $result;?></option>
										<?php endforeach; ?>
										</optgroup>
									<?php endforeach; ?>
									
								<?php else: ?>
									<?php foreach(getPackages($form_type) as $result):?>
									<option value="<?php echo $result;?>"<?php echo $result == $get['pkg'] ? 'selected' : '';?>><?php echo $result;?></option>
									<?php endforeach; ?>
								<?php endif; ?>
							</select>
						</div>
					</div>
				<?php elseif(in_array($form_type,array('hajj','umrah','special_offer'))): ?>
				
				<?php endif; ?>
				<div class="col-sm-12 col-md-3 no-padding-right">
					<div class="form-group">
                        <label>Date</label><br />
                        <div class="col-sm-12 col-md-6 no-padding-left">
						    <input type="text" class="form-control datepicker" id="filter_from" placeholder="From" name="from" value="<?php echo isset($get['from']) ? $get['from'] : '';?>">
                        </div>

                        <div class="col-sm-12 col-md-6 no-padding-left no-padding-right">
                            <input type="text" class="form-control datepicker" id="filter_to" placeholder="To" name="to" value="<?php echo isset($get['to']) ? $get['to'] : '';?>">
                        </div>
					</div>
				</div>

                <?php if((isset($_SESSION['logged']) && $_SESSION['logged'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true)): ?>
                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Agent</label><br />
                        <select id="filter_agent" class="form-control" name="agent_id">
                            <option value="" selected="selected">Select</option>
                            <?php foreach($aAgents as $agent): ?>
                                <option value="<?php echo $agent['agent_id']; ?>"<?php echo $agent['agent_id'] == $get['agent_id'] ? 'selected' : '';?>><?php echo $agent['name']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
            	<?php endif; ?>
				<div class="clearfix"></div>
			</div>

            <div class="row">
                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Lead Number</label><br />
                        <input type="text" class="form-control" id="filter_form_id" name="form_id" value="<?php echo isset($get['form_id']) ? $get['form_id'] : '';?>">
                    </div>
                </div>

                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Name</label><br />
                        <input type="text" class="form-control" id="filter_name" name="name" value="<?php echo isset($get['name']) ? $get['name'] : '';?>">
                    </div>
                </div>

                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Email</label><br />
                        <input type="text" class="form-control" id="filter_email" name="email_address" value="<?php echo isset($get['email_address']) ? $get['email_address'] : '';?>">
                    </div>
                </div>

                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Phone</label><br />
                        <input type="text" class="form-control" id="filter_phone" name="phone" value="<?php echo isset($get['phone']) ? $get['phone'] : '';?>">
                    </div>
                </div>
                <div class="col-sm-12 col-md-3 no-padding-right">
                    <label>Action</label><br />
					<button type="submit" class="btn btn-primary"><i class="fa fa-search"></i></button>
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
					<button type="submit" onclick="exportfile()" class="btn btn-warning"><i class="fa fa-file-excel-o"></i> Export</button>
					<?php endif; ?>
					<a href="leads.php?form_type=<?php echo $form_type; ?>" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
				</div>
				<div class="clearfix"></div>
            </div>
			</form>
		</div>
	</div>
	
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title">Details</h4>
				</div>
				<div class="modal-body"> </div>
			</div>
		</div>
	</div>
	
	<div class="modal fade" id="viewNote" tabindex="-1" role="dialog" aria-labelledby="addNoteLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<h4 class="modal-title">View Notes</h4>
				</div>
				<div id="note-list" class="modal-body">
				</div>
			</div>
		</div>
	</div>
	<div class="position-relative">
		<div id="listings_leads">
		<?php if($results):
        $keys = array_unique(array_keys_multi($results)); ?>

        <div class="action_buttons">
            <div class="pull-left"><?php echo $pagination->render(); ?></div>
            <div class="pull-right">
                <a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
                <?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
                    <a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                <?php endif; ?>
            </div>
            <div class="clearfix"></div>
        </div>

		<table border="1" class="table table-bordered table-hover table-striped">
			<thead>
				<tr>
					<?php if(!isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == false): ?>
					<th width="5%" class="text-center"><a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a></th>
					<?php endif; ?>
					<?php
                    unset($keys['agent_id']);
					unset($keys['departure_city']);
					unset($keys['package']);
                    foreach($keys as $key => $value): ?>
					<th class="title <?php echo in_array($key,array('id','form_type','agent_id','agent','status')) ? 'hidden' : ''; ?>"><strong><?php echo strtoupper(str_replace('_',' ',$key)); ?></strong></th>
					<?php endforeach; ?>
					<th class="title">STATUS</th>
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
					<th class="title">ASSIGN</th>
					<?php endif; ?>
					<th class="title text-center">MESSAGE</th>
                    <th class="title">EDIT</th>
                    <?php if(in_array($form_type,array('umrah','umrah_visa','hajj','ramadan','umrah_group'))): ?>
                    <th class="title">BOOK</th>
                    <?php endif; ?>
				</tr>
			</thead>
			<tbody>
				<?php
                $i=0;
                foreach($results as $result):	?>
				<tr id="leads_<?php echo $result["id"]; ?>" class="row-cursor <?php echo $result['status'] == $leads_statuses[0] ? 'warning' : ($result['status'] == $leads_statuses[2] ? 'danger' : ($result['status'] == $leads_statuses[1] ? 'success' : '')); ?>" href="javascript:void(0);" ondblclick="viewResult('<?php echo $result['id']; ?>');">
					<?php if(!isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == false): ?>
					<td class="text-center"><input type="checkbox" value="<?php echo $result['id']; ?>" name="delete[]"></td>
					<?php endif; ?>
					
					<?php
					unset($keys['departure_city']);
					unset($keys['package']);
                    foreach($keys as $key => $value): ?>
                        <td class="<?php echo in_array($key,array('id','form_type','agent_id','agent','status')) ? 'hidden' : ''; ?>"><?php echo $results[$i][$key]; ?></td>
                    <?php endforeach; ?>
					
					<td><?php if((isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true) || (isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true)): ?>
						<select name="status[<?php echo $result["id"]; ?>]" onchange="$('tr#leads_<?php echo $result["id"]; ?> .note-status').val($(this).val());" class="form-control">
						<option value="">Select</option>
						<?php foreach($leads_statuses as $status):	?>
							<option value="<?php echo $status; ?>" <?php echo $result['status'] == $status ? 'selected="selected"' : ''; ?>><?php echo $status; ?></option>
						<?php endforeach; ?>
						</select>
					<?php endif; ?>
					
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?><?php echo $result['status']; ?><?php endif; ?></td>
					
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
					<td>
						<select name="agent_id[<?php echo $result["id"]; ?>]" class="form-control">
						<option value="">Select</option>
						<?php 
						foreach($aAgents as $agent):	?>
							<option <?php echo ($result['agent_id'] == $agent['agent_id']) ? 'selected="selected"':''; ?> value="<?php echo $agent['agent_id']; ?>"><?php echo $agent['name']; ?></option>
						<?php endforeach; ?>
						</select>
					</td>
					<?php elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true): ?>
						<td><?php echo $result['agent']; ?></td>
					<?php endif; ?>
					
					<td class="text-center">
                        <div class="btn-group-sm">
                        	<?php 
                            if(isset($_SESSION['logged']) && $_SESSION['logged'] == true){
								$note_type = 'admin';
							} elseif(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true){
								$note_type = 'agent';
							} elseif(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true){
								$note_type = 'team_lead';
							} ?>

                            <?php //$note_type = isset($_SESSION['logged']) && $_SESSION['logged'] == true ? 'agent' : 'admin'; ?>
                            <?php $unread_notes = getNotes(array('viewed'=>0,'leads_id'=>$result['id']), 0, true); ?>
                            <a data-toggle="modal" data-target="#addNotify_<?php echo $result['id']; ?>" title="View Messages" onclick="viewNotes(<?php echo $result['id']; ?>)" class="btn btn-primary"><span class="badge"><?php echo $unread_notes; ?></span></a>

                            <div class="modal fade text-left" id="addNotify_<?php echo $result['id']; ?>" tabindex="-1" role="dialog" aria-labelledby="addNotifyLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="panel-primary">
                                            <div class="panel-heading"><i class="fa fa-file-text-o fa-fw"></i> Messages</div>
                                            <div class="panel-body chat-box">
                                                <div id="note-list_<?php echo $result["id"]; ?>" class="note-list">
                                                </div>
                                            </div>
                                            <div class="panel-footer">
                                                <form id="note-form_<?php echo $result["id"]; ?>" class="note-form" name="ajax" action="action/notes.php" method="POST" enctype="multipart/form-data">
                                                    <div class=" input-group">
                                                        <input type="text" name="data[note]" placeholder="Type your message here..." id="btn-input" class="form-control input-sm" />

                                                        <?php if(isset($_SESSION['logged_agent']) && $_SESSION['logged_agent'] == true): ?>
                                                            <input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
                                                            <input type="hidden" class="note-note_type" name="data[note_type]" value="agent" />
                                                        <?php endif; ?>

                                                        <?php if(isset($_SESSION['logged_team_lead']) && $_SESSION['logged_team_lead'] == true): ?>
                                                            <input type="hidden" class="note-agent_id" name="data[agent_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
                                                            <input type="hidden" class="note-note_type" name="data[note_type]" value="team_lead" />
                                                        <?php endif; ?>

                                                        <?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
                                                            <input type="hidden" class="note-admin_id" name="data[admin_id]" value="<?php echo $_SESSION['logged_in_id']; ?>" />
                                                            <input type="hidden" class="note-note_type" name="data[note_type]" value="admin" />
                                                        <?php endif; ?>

                                                        <input type="hidden" class="note-leads_id" name="data[leads_id]" value="<?php echo $result['id']; ?>" />
                                                        <input type="hidden" class="note-status" name="data[status]" value="<?php echo $result['status']; ?>" />

                                                        <span class="input-group-btn">
                                                            <button type="submit" id="submit" class="btn btn-success btn-sm submit-button">Send</button>
                                                        </span>
                                                    </div>

                                                    <?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
                                                        <input type="file" class="note-attachment" name="attachment" placeholder="Attachment" />
                                                    <?php endif; ?>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <script>
                                $('#note-form_<?php echo $result["id"]; ?>').submit(function(e) {
                                    e.preventDefault();

                                    var formObj = $(this);
                                    var formURL = formObj.attr("action");
                                    var formData = new FormData(this);
                                    $.ajax({
                                        url: formURL,
                                        type: 'POST',
                                        data:  formData,
                                        dataType:'json',
                                        mimeType:"multipart/form-data",
                                        contentType: false,
                                        cache: false,
                                        processData:false,
                                        beforeSend: function(){
                                            showLoader('#note-form_<?php echo $result["id"]; ?>');
                                        },
                                        complete: function(){
                                            hideLoader();
                                        },
                                        success: function(data) {
                                            hideLoader();
                                            showNotificationModal(data);
                                            if(data.msgtype == 'success'){
                                                $('.note-form input, .note-form select, .note-form textarea').val('');
                                                //$('.modal').modal('hide');
                                                getLeadsList();
                                                location.reload();
                                            }
                                        },
                                        error: function(jqXHR, textStatus, errorThrown) {
                                        }
                                    });
                                    e.preventDefault();
                                });
                            </script>
                        </div>
					</td>
                    <td class="text-center">
                        <div class="btn-group-sm">
                        <a href="lead_form.php?form_type=<?php echo $result['form_type'] ?>&lead_id=<?php echo $result["id"]; ?>" class="btn btn-primary"><i class="fa fa-edit"></i></a>
                        </div>
                    </td>
					<?php if(in_array($form_type,array('umrah','umrah_visa','hajj','ramadan','umrah_group'))): ?>
					<td class="text-center">
						<div class="btn-group-sm">
							<?php if(in_array($form_type,array('umrah','umrah_visa'))): 
								$book_url = 'booking_form';
							elseif(in_array($form_type,array('hajj'))):
								$book_url = 'booking_form_hajj';
							elseif(in_array($form_type,array('ramadan','umrah_group'))):
								$book_url = 'booking_form_group';
							endif; ?>

							<a href="<?php echo $book_url; ?>.php?form_type=<?php echo $result['form_type'] ?>&leads_id=<?php echo $result["id"]; ?>" class="btn btn-primary"><i class="fa fa-book"></i></a>
						</div>
					</td>
					<?php endif; ?>

					<?php /*<td class="text-center">
						<div class="btn-group-sm">
							<a href="booking_form.php?form_type=<?php echo $result['form_type'] ?>&leads_id=<?php echo $result["id"]; ?>" class="btn btn-primary"><i class="fa fa-book"></i></a>
						</div>
					</td>*/ ?>
				</tr>
				<?php $i++; endforeach; ?>
			</tbody>
		</table>
        <div class="action_buttons">
            <div class="pull-left"><?php echo $pagination->render(); ?></div>
            <div class="pull-right">
                <a onclick="saveAllLeads();" class="btn btn-success"><i class="fa fa-save"></i></a>
                <?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
                    <a onclick="deleteAll();" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                <?php endif; ?>
            </div>
            <div class="clearfix"></div>
        </div>

        <div class="color-swatches">
            <table class="table table-bordered">
                <tr>
					<?php if($get['archive_status'][0] == "Follow up"):?>
						<td class="warning" width="25%"><?php echo $leads_statuses[0]; ?> Leads <span class="badge pull-right"><?php echo getLeadsCount(array('form_type'=>$get['form_type'],'status'=>$get['archive_status'][0]), 0, true); ?></span></td>
						<td class="" width="25%"><?php echo $leads_statuses[3]; ?> Leads <span class="badge pull-right"><?php echo getLeadsCount(array('form_type'=>$get['form_type'],'status'=>$get['archive_status'][1]), 0, true); ?></span></td>
                   <?php elseif($get['archive_status'][0] == "Canceled"):?>
						<td class="danger" width="15%"><?php echo $leads_statuses[2]; ?> Leads <span class="badge pull-right"><?php echo getLeadsCount(array('form_type'=>$get['form_type'],'status'=>$get['archive_status'][0]), 0, true); ?></span></td>
						<td class="success" width="15%"><?php echo $leads_statuses[1]; ?> Leads <span class="badge pull-right"><?php echo getLeadsCount(array('form_type'=>$get['form_type'],'status'=>$get['archive_status'][1]), 0, true); ?></span></td>
						<?php /*<td class="warning" width="15%"><?php echo $leads_statuses[4]; ?> Leads <span class="badge pull-right"><?php echo getLeadsCount(array('form_type'=>$get['form_type'],'status'=>$get['archive_status'][4]), 0, true); ?></span></td>*/ ?>
					<?php endif;?>
                </tr>
            </table>
        </div>
	<?php else:	?>
		<div class="alert alert-danger">No leads are available</div>
	<?php endif; ?>
		</div>
	</div>
	<br />
    <script>
	$(document).ready(function () {
		//getLeadsList();
	});

	function saveAllLeads(){
		$.ajax({
			type:"POST",
			data:$('#listings_leads select'),
            url: 'action/<?php echo $page_action; ?>.php',
			dataType:"json",
			success: function(data){
				showNotification(data);
				//getLeadsList();
				sleep(3);
				location.reload();
			}
		});
	}

	function exportfile(){
		var loc = $('#filter_location').val(),
            pkg = $('#filter_package').val(),
            from = $('#filter_from').val(),
            to = $('#filter_to').val(),
            name = $('#filter_name').val(),
            email = $('#filter_email').val(),
            phone = $('#filter_phone').val(),
            form_id = $('#filter_form_id').val();
            archive_status_0 = $('#archive_status_0').val();
            archive_status_1 = $('#archive_status_1').val();
		if(loc==undefined){
			loc='';
		}
		if(pkg==undefined){
			pkg='';
		}
		if(from==undefined){
			from='';
		}
		if(to==undefined){
			to='';
		}
        if(name==undefined){
            name='';
        }
        if(email==undefined){
            email='';
        }
        if(phone==undefined){
            phone='';
        }
        if(form_id==undefined){
            form_id='';
        }
		if(archive_status_0==undefined){
            archive_status_0='';
        }
		if(archive_status_1==undefined){
            archive_status_1='';
        }
		var url = 'action/<?php echo $page_action; ?>.php?form_type=<?php echo $form_type; ?>&exportx=1&pkg='+pkg+'&loc='+loc+'&from='+from+'&to='+to+'&name='+name+'&email='+email+'&phone='+phone+'&form_id='+form_id;
		window.open(url,'_blank');
	}

	function viewResult(inp){
		$.ajax({
			url: "action/view.php",
			data:'id='+inp,
			type: 'GET',
			dataType: 'html',
			success: function(data) {
				$('#myModal').modal({
					show: true
				});
				$('#myModal .modal-body').html(data);
			}
		});
	}
	</script>
<?php include('includes/foot.php'); ?>