<?php 
include('includes/head.php');
$data = $_GET ? $_GET : $_POST;
$data['page_limit'] = 50;
$page_action = 'profile';
$pagename = 'Profile';
$page = $data['page'] ? filter_var($data['page'], FILTER_SANITIZE_NUMBER_INT, FILTER_FLAG_STRIP_HIGH) : 1;
$start = ($page - 1) * $data['page_limit'];
$results = getProfiles($data, $start);
$get_total_rows = getProfiles($data, $start, true);
$pagination = new Pagination();
$pagination->total = $get_total_rows;
$pagination->page = $page;
$pagination->type = 'leads';
unset($data['page']);
$pagination->url = ADMINURL.'profile.php?'.http_build_query($data);
$pagination->limit = $data['page_limit'];
?>

	<div class="page-header">
		<h1 class="pull-left"><i class="fa fa-file-o fa-fw"></i> Leads: <?php echo $pagename; ?></h1>
        <div class="clearfix"></div>
	</div>	
	<div class="clearfix"></div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<form id="filter_form" method="GET" action="">
			<div class="row">
				<div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Name</label><br />
                        <input type="text" class="form-control" id="filter_name" name="name" value="<?php echo isset($data['name']) ? $data['name'] : '';?>">
                    </div>
                </div>

                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Email</label><br />
                        <input type="text" class="form-control" id="filter_email" name="email_address" value="<?php echo isset($data['email_address']) ? $data['email_address'] : '';?>">
                    </div>
                </div>

                <div class="col-sm-12 col-md-2 no-padding-right">
                    <div class="form-group">
                        <label>Phone</label><br />
                        <input type="text" class="form-control" id="filter_phone" name="phone" value="<?php echo isset($data['phone']) ? $data['phone'] : '';?>">
                    </div>
                </div>
				<div class="col-sm-12 col-md-3 no-padding-right">
                    <label>Action</label><br />
					<button type="submit" class="btn btn-primary"><i class="fa fa-search"></i></button>
					<?php if(isset($_SESSION['logged']) && $_SESSION['logged'] == true): ?>
					<button type="submit" onclick="exportfile()" class="btn btn-warning"><i class="fa fa-file-excel-o"></i> Export</button>
					<?php endif; ?>
					<a href="leads.php?form_type=<?php echo $form_type; ?>" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
				</div>
				<div class="clearfix"></div>
			</div>
			</form>
		</div>
	</div>
	<div class="position-relative">
		<div id="listings_leads">
		<?php if($results):?>
			<div class="action_buttons">
				<div class="pull-left"><?php echo $pagination->render(); ?></div>
				<div class="clearfix"></div>
			</div>
			<table border="1" class="table table-bordered table-hover table-striped">
				<thead>
					<tr>
						<th class="title">Name</th>
						<th class="title">Email Address</th>
						<th class="title">Phone</th>
						<th class="title">Total Leads</th>
						<th class="title">View</th>
					</tr>
				</thead>
				<tbody>
					<?php
					$i=0;
					foreach($results as $result):?>
					<?php if($result['leads_count'] > 0):?>
					<tr class="row-cursor">
						<td><?php echo $result['name']; ?></td>
						<td><?php echo $result['email_address']; ?></td>
						<td><?php echo $result['phone']; ?></td>
						<td><?php echo $result['leads_count']; ?></td>
						<td class="text-center"><a class="btn btn-primary" href="profile-details.php?profile_id=<?php echo $result['profile_id']; ?>"><i class="fa fa-eye"></i></a></td>
					</tr>
					<?php endif; ?>
					<?php $i++; endforeach; ?>
				</tbody>
			</table>
			<div class="action_buttons">
				<div class="pull-left"><?php echo $pagination->render(); ?></div>
				<div class="clearfix"></div>
			</div>
	<?php else:	?>
		<div class="alert alert-danger">No leads are available</div>
	<?php endif; ?>
		
		</div>
	</div>
<?php include('includes/foot.php'); ?>